<html>

<head>
    <script src="vue.js"></script>
    <link rel="stylesheet" type="text/css" href="style.css" />
</head>

<body>
    <div id="app">
        <img v-bind:src="image" v-bind:height="height" v-bind:width="width" />
        <div class="description">
            <p v-if="stock>10">
                in stock
                <message></message>
            </p>
            <p v-else-if="stock>0 && stock<10">
                Almost sold out
                <message></message>
            </p>
            <p v-else>
                Out of stock
                <message></message>
            </p>
            <div v-show="true">
                <a v-bind:href="link" target="_blank">Google</a>
            </div>
            <!-- using v-for -->
            <div>
                <ul>
                    <li v-for="name in employee">{{name}}</li>
                </ul>
                <ol>
                    <li v-for="variant in variants" :style="{backgroundColor:variant.color}" @mouseover="changeImage(variant.img)"></li>
                </ol>
            </div>
        </div>

        <div class="addtocart">
            <button @click="increamentCart">Add to cart</button>
            <p>OnCart({{cart}})</p>
        </div>
    </div>

    <script src="vue2.js"></script>
</body>

</html>